CVE-2017-17563

Current Description

An issue was discovered in Xen through 4.9.x allowing guest OS users to cause a denial of service (host OS crash) or gain host OS privileges by leveraging an incorrect mask for reference-count overflow checking in shadow mode.

Basic Data

PublishedDecember 12, 2017
Last ModifiedOctober 19, 2018
Assignercve@mitre.org
Data TypeCVE
Data FormatMITRE
Data Version4.0
Problem TypeCWE-119
CVE Data Version4.0

Base Metric V2

CVSS 2 - Version2.0
CVSS 2 - Vector StringAV:L/AC:M/Au:N/C:C/I:C/A:C
CVSS 2 - Access VectorLOCAL
CVSS 2 - Access ComplexityMEDIUM
CVSS 2 - AuthenticationNONE
CVSS 2 - Confidentiality ImpactCOMPLETE
CVSS 2 - Availability ImpactCOMPLETE
CVSS 2 - Base Score6.9
SeverityMEDIUM
Exploitability Score3.4
Impact Score10.0
Obtain All Privilegefalse
Obtain User Privilegefalse
Obtain Other Privilegefalse

Base Metric V3

CVSS 3 - Version3.0
CVSS 3 - Vector StringCVSS:3.0/AV:L/AC:H/PR:L/UI:N/S:C/C:H/I:H/A:H
CVSS 3 - Attack VectorLOCAL
CVSS 3 - Attack ComplexityHIGH
CVSS 3 - Privileges RequiredLOW
CVSS 3 - User InteractionNONE
CVSS 3 - ScopeCHANGED
CVSS 3 - Confidentiality ImpactHIGH
CVSS 3 - Integrity ImpactHIGH
CVSS 3 - Availability ImpactHIGH
CVSS 3 - Base Score7.8
CVSS 3 - Base SeverityHIGH
Exploitability Score1.1
Base SeverityHIGH

Configurations

  • OR - Configuration 1
    Cpe VersionPartVendorProductVersionUpdateEditionLanguageSW EditionTarget SWTarget HWOtherVersion Start IncludingVersion End IncludingVersion Start ExcludingVersion End Excluding
    2.3OSXenXen********4.9.1

Vulnerable Software List

VendorProductVersions
Xen Xen *

References

NameSourceURLTags
http://www.openwall.com/lists/oss-security/2017/12/12/2http://www.openwall.com/lists/oss-security/2017/12/12/2CONFIRMMailing List
102169http://www.securityfocus.com/bid/102169BID
1040769http://www.securitytracker.com/id/1040769SECTRACK
[debian-lts-announce] 20180105 [SECURITY] [DLA 1230-1] xen security updatehttps://lists.debian.org/debian-lts-announce/2018/01/msg00003.htmlMLIST
[debian-lts-announce] 20181018 [SECURITY] [DLA 1549-1] xen security updatehttps://lists.debian.org/debian-lts-announce/2018/10/msg00009.htmlMLIST
GLSA-201801-14https://security.gentoo.org/glsa/201801-14GENTOO
https://support.citrix.com/article/CTX232096https://support.citrix.com/article/CTX232096CONFIRM
DSA-4112https://www.debian.org/security/2018/dsa-4112DEBIAN
https://xenbits.xen.org/xsa/advisory-249.htmlhttps://xenbits.xen.org/xsa/advisory-249.htmlCONFIRMMitigation Patch Vendor Advisory